package com.pcloud.book.pcloudkeyword.dao.impl;

import com.pcloud.book.pcloudkeyword.dao.PcloudRobotDao;
import com.pcloud.book.pcloudkeyword.entity.PcloudRobot;
import com.pcloud.common.core.dao.BaseDaoImpl;
import org.springframework.stereotype.Component;

@Component("pcloudRobotDao")
public class PcloudRobotDaoImpl extends BaseDaoImpl<PcloudRobot> implements PcloudRobotDao {

    @Override
    public PcloudRobot getByWxId(String wxId) {
        return super.getSqlSession().selectOne(getStatement("getByWxId"), wxId);
    }

    @Override
    public PcloudRobot getPcloudRobotByType(Integer robotType) {
        return super.getSqlSession().selectOne(getStatement("getPcloudRobotByType"), robotType);
    }
}
